package com.hc.request.core;

import android.support.annotation.NonNull;

/**
 * @author Jewel
 * @version 1.0
 * @since 2018/04/02
 */

public interface IHttpCallback<T> {

    void onStart(int what);

    void onSuccess(int what, @NonNull T data);

    void onFail(int what, String msg);

    void onError(int what, Throwable e);

    void onFinish(int what);
}
